ListEvaluationJobs - Amazon Bedrock
Services or capabilities described in AWS documentation might vary by Region. To see the differences applicable to the AWS European Sovereign Cloud Region, see the AWS European Sovereign Cloud User Guide.

ListEvaluationJobs

Lists all existing evaluation jobs.

Request Syntax

GET /evaluation-jobs?applicationTypeEquals=applicationTypeEquals&creationTimeAfter=creationTimeAfter&creationTimeBefore=creationTimeBefore&maxResults=maxResults&nameContains=nameContains&nextToken=nextToken&sortBy=sortBy&sortOrder=sortOrder&statusEquals=statusEquals HTTP/1.1

URI Request Parameters

The request uses the following URI parameters.

applicationTypeEquals

A filter to only list evaluation jobs that are either model evaluations or knowledge base evaluations.

Valid Values: ModelEvaluation | RagEvaluation

creationTimeAfter

A filter to only list evaluation jobs created after a specified time.

creationTimeBefore

A filter to only list evaluation jobs created before a specified time.

maxResults

The maximum number of results to return.

Valid Range: Minimum value of 1. Maximum value of 1000.

nameContains

A filter to only list evaluation jobs that contain a specified string in the job name.

Length Constraints: Minimum length of 1. Maximum length of 63.

Pattern: [a-z0-9](-*[a-z0-9]){0,62}

nextToken

Continuation token from the previous response, for Amazon Bedrock to list the next set of results.

Length Constraints: Minimum length of 1. Maximum length of 2048.

Pattern: \S*

sortBy

Specifies a creation time to sort the list of evaluation jobs by when they were created.

Valid Values: CreationTime

sortOrder

Specifies whether to sort the list of evaluation jobs by either ascending or descending order.

Valid Values: Ascending | Descending

statusEquals

A filter to only list evaluation jobs that are of a certain status.

Valid Values: InProgress | Completed | Failed | Stopping | Stopped | Deleting

Request Body

The request does not have a request body.

Response Syntax

HTTP/1.1 200 Content-type: application/json { "jobSummaries": [ { "applicationType": "string", "creationTime": "string", "customMetricsEvaluatorModelIdentifiers": [ "string" ], "evaluationTaskTypes": [ "string" ], "evaluatorModelIdentifiers": [ "string" ], "inferenceConfigSummary": { "modelConfigSummary": { "bedrockModelIdentifiers": [ "string" ], "precomputedInferenceSourceIdentifiers": [ "string" ] }, "ragConfigSummary": { "bedrockKnowledgeBaseIdentifiers": [ "string" ], "precomputedRagSourceIdentifiers": [ "string" ] } }, "jobArn": "string", "jobName": "string", "jobType": "string", "modelIdentifiers": [ "string" ], "ragIdentifiers": [ "string" ], "status": "string" } ], "nextToken": "string" }

Response Elements

If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

jobSummaries

A list of summaries of the evaluation jobs.

Type: Array of EvaluationSummary objects

Array Members: Minimum number of 1 item. Maximum number of 5 items.

nextToken

Continuation token from the previous response, for Amazon Bedrock to list the next set of results.

Type: String

Length Constraints: Minimum length of 1. Maximum length of 2048.

Pattern: \S*

Errors

For information about the errors that are common to all actions, see Common Errors.

AccessDeniedException

The request is denied because of missing access permissions.

HTTP Status Code: 403

InternalServerException

An internal server error occurred. Retry your request.

HTTP Status Code: 500

ThrottlingException

The number of requests exceeds the limit. Resubmit your request later.

HTTP Status Code: 429

ValidationException

Input validation failed. Check your request parameters and retry the request.

HTTP Status Code: 400

See Also

For more information about using this API in one of the language-specific AWS SDKs, see the following: